## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 24;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# On PyPI the package is called 'three-merge'. However, the installed
# module is called 'three_merge', making this messy (sigh).

Name:           python-three_merge
Version:        0.1.1
Release:        %autorelease
Summary:        Simple library for merging two strings with respect to a base one

%global forgeurl https://github.com/spyder-ide/three-merge
%forgemeta

# SPDX
License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Simple Python library to perform a 3-way merge between strings, based on 
diff-match-patch. This library performs merges at a character level, as 
opposed to most VCS systems, which opt for a line-based approach.}

%description
%_description

%package -n     python3-three_merge
Summary:        %{summary}
# Add Provides based on the canonical project name (see comment at top)
%py_provides python3-three-merge

%description -n python3-three_merge
%_description

%prep
%forgeautosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l three_merge

%check
%pytest -v

%files -n python3-three_merge -f %{pyproject_files}
%doc README.md CHANGELOG.md

%changelog
## START: Generated by rpmautospec
* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-24
- Add changelog to docs

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-23
- Add provides for cannonical project name

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-22
- Remove unused, no longer referenced macro

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-21
- Enable and run tests
- Switch to GitHub source since sdist comes without tests

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-20
- Use modern pyproject macros

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-19
- Verify License: field is SPDX compliant

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-18
- Move description

* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 0.1.1-17
- Fix pypi_name and entailing use of it

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.1-14
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.1.1-10
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1.1-7
- Rebuilt for Python 3.11

* Thu May 19 2022 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-6
- Remove build dependencies from runtime

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1

* Wed Nov 25 2020 Mukundan Ragavan <nonamedotc@gmail.com> - 0.1.0-1
- Initial package.

## END: Generated by rpmautospec
